org.apache.xmlbeans.xml.stream

## Interface EndDocument

- All Superinterfaces:
    XMLEvent

      public interface EndDocument
      extends XMLEvent

  A marker interface for the end of a document
  Since:
    Weblogic XML Input Stream 1.0
  Version:
    1.0
  See Also:
    `XMLEvent`

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

      `CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

      `getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`